=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

configure/pm-utils::
	# Hack to not build some stuff
	touch src/pm-pmu.o src/pm-reset-swap.o
	touch src/pm-pmu src/pm-reset-swap

pre-build::
	# Enforce that man pages are regenerated
	rm -f man/pm-powersave.8
	rm -f man/pm-action.8
	rm -f man/pm-is-supported.1

binary-install/pm-utils::
	# We depend on powermgmt-base to provide on_ac_power. 
	# This way we don't have to conflict with this package.
	rm -f debian/pm-utils/usr/bin/on_ac_power
	rm -f debian/pm-utils/usr/bin/import-fdi-quirkdb
	rm -f debian/pm-utils/usr/share/man/man1/on_ac_power.1
	# Remove tools/hooks that are not suitable for Debian.
	rm -f debian/pm-utils/usr/lib/pm-utils/sleep.d/01grub
	rm -f debian/pm-utils/usr/lib/pm-utils/sleep.d/49bluetooth
	rm -f debian/pm-utils/usr/lib/pm-utils/bin/pm-reset-swap
	rm -f debian/pm-utils/usr/lib/pm-utils/power.d/hal-cd-polling
	rm -f debian/pm-utils/usr/lib/pm-utils/bin/pm-pmu
	rm -f debian/pm-utils/usr/share/man/man8/pm-pmu.8
	# Remove hooks which are not stable enough yet
	rm -f debian/pm-utils//usr/lib/pm-utils/power.d/harddrive
	# Remove hooks which have shown to not reduce, or even increase power
	# usage
	rm -f debian/pm-utils/usr/lib/pm-utils/power.d/journal-commit
	rm -f debian/pm-utils/usr/lib/pm-utils/power.d/readahead

	chmod -x debian/pm-utils/usr/lib/pm-utils/defaults

	install -D -m 755 debian/kernel-postinst-hibernate-stamp debian/pm-utils/etc/kernel/postinst.d/pm-utils
	install -D -m 755 debian/no-hibernate-on-kernel-update debian/pm-utils/usr/lib/pm-utils/sleep.d/000kernel-change

	# install quirks db
	cp -r debian/video-quirks debian/pm-utils/usr/lib/pm-utils/

	# install hooks which haven't been accepted upstream yet
	cp -r debian/power.d debian/pm-utils/usr/lib/pm-utils/
	chmod 755 debian/pm-utils/usr/lib/pm-utils/power.d/*
